GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
grpc_httpcli_parser Struct Reference

`#include <parser.h>`

## Data Fields
grpc_httpcli_parser_state | state
grpc_httpcli_response | r
size_t | body_capacity
size_t | hdr_capacity
gpr_uint8 | cur_line [GRPC_HTTPCLI_MAX_HEADER_LENGTH]
size_t | cur_line_length

## Field Documentation

size_t grpc_httpcli_parser::body_capacity

gpr_uint8 grpc_httpcli_parser::cur_line[GRPC_HTTPCLI_MAX_HEADER_LENGTH]

size_t grpc_httpcli_parser::cur_line_length

size_t grpc_httpcli_parser::hdr_capacity

grpc_httpcli_response grpc_httpcli_parser::r

grpc_httpcli_parser_state grpc_httpcli_parser::state

The documentation for this struct was generated from the following file:

- src/core/httpcli/parser.h